loop_lt
Prev | Orchestra Opcodes and Operators | Next

## loop_lt

loop_lt — Looping constructions.

## Description

Construction of looping operations.

## Syntax

    loop_lt   indx, incr, imax, label

    loop_lt   kndx, kncr, kmax, label

## Initialization

indx -- i-rate variable to count loop.

incr -- value to increment the loop.

imax -- maximum value of loop index.

## Performance

kndx -- k-rate variable to count loop.

kncr -- value to increment the loop.

kmax -- maximum value of loop index.

The actions of loop_lt are equivalent to the code

             indx  =  indx + incr
             if (indx < imax) igoto label

or

             kndx  =  kndx + kncr
             if (kndx < kmax) kgoto label

## See Also

loop_ge, loop_gt and loop_le.

## Credits

Istvan Varga.

New in Csound version 5.01

Prev | Up | Next
loop_le | Home | loopseg